# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.0.0] - 2024-01-09

### Added
- Initial release of the Altomatic WordPress plugin
- AI-powered image optimization with support for WebP and original format
- Automatic alt text generation using AI
- Customizable image size optimization settings
- Support for WordPress Media Library integration
- Bulk optimization capability for existing media
- Credit system integration with usage tracking
- REST API endpoints for API key validation and credit information
- Automatic credit usage monitoring with admin notifications
- SrcSet optimization for responsive images
- Configurable settings page in WordPress admin
- Cleanup system for optimized files on attachment deletion
- Warning system for credit limit exceeded scenarios

### Security
- WordPress nonce verification for admin actions
- Permission checks for REST API endpoints
- Direct file access prevention
- API key validation system

[1.0.0]: https://github.com/your-username/altomatic/releases/tag/v1.0.0
